gnutls_x509_crl_dist_points_set(3)

NAME
gnutls_x509_crl_dist_points_set - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_crl_dist_points_set(gnutls_x509_crl_dist_points_t cdp, gnutls_x509_subject_alt_name_t type, const gnutls_datum_t * san, unsigned int reasons);

ARGUMENTS

gnutls_x509_crl_dist_points_t cdp
    The CRL distribution points

gnutls_x509_subject_alt_name_t type
    The type of the name (of gnutls_subject_alt_names_t)

const gnutls_datum_t * san
    The point name data

unsigned int reasons
    Revocation reasons. An ORed sequence of flags from gnutls_x509_crl_reason_flags_t.

DESCRIPTION
This function will store the specified CRL distribution point value the cdp type.

RETURNS
On success, GNUTLS_E_SUCCESS (0), otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/